<?xml version="1.0" encoding="UTF-8" standalone="yes"?><xsl:stylesheet xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:saxon="http://saxon.sf.net/" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:iso="http://purl.oclc.org/dsdl/schematron" xmlns:xhtml="http://www.w3.org/1999/xhtml" xmlns:s="http://www.w3.org/2003/05/soap-envelope" xmlns:wsa="http://www.w3.org/2005/08/addressing" xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:function="http://ato.gov.au/SWSFunctions" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xbrldi="http://xbrl.org/2006/xbrldi" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:ref="http://www.xbrl.org/2006/ref" xmlns:iso4217="http://www.xbrl.org/2003/iso4217" xmlns:xmime="http://www.w3.org/2005/05/xmlmime" xmlns:service="http://sbr.gov.au/comn/list.02.service" xmlns:sbdh="http://sbr.gov.au/comn/sbdm.02.data" xmlns:core="http://sbr.gov.au/comn/core.02.data" xmlns:tech="http://sbr.gov.au/fdtn/sbr.01.02.tech" xmlns:tech.01.03="http://sbr.gov.au/fdtn/sbr.01.03.tech" xmlns:pyde.02.01="http://sbr.gov.au/icls/py/pyde/pyde.02.01.data" xmlns:dtyp.02.15="http://sbr.gov.au/fdtn/sbr.02.15.dtyp" xmlns:pyde.02.08="http://sbr.gov.au/icls/py/pyde/pyde.02.08.data" xmlns:tech.01.02="http://sbr.gov.au/fdtn/sbr.01.02.tech" xmlns:pyde.02.00="http://sbr.gov.au/icls/py/pyde/pyde.02.00.data" xmlns:pyid.02.03="http://sbr.gov.au/icls/py/pyid/pyid.02.03.data" xmlns:dtyp.02.03="http://sbr.gov.au/fdtn/sbr.02.03.dtyp" xmlns:dtyp.02.13="http://sbr.gov.au/fdtn/sbr.02.13.dtyp" xmlns:dtyp.02.09="http://sbr.gov.au/fdtn/sbr.02.09.dtyp" xmlns:pyid.02.00="http://sbr.gov.au/icls/py/pyid/pyid.02.00.data" xmlns:emsup.02.03="http://sbr.gov.au/icls/em/emsup/emsup.02.03.data" xmlns:dtyp.02.00="http://sbr.gov.au/fdtn/sbr.02.00.dtyp" xmlns:pyin.02.14="http://sbr.gov.au/icls/py/pyin/pyin.02.14.data" xmlns:pyde.02.10="http://sbr.gov.au/icls/py/pyde/pyde.02.10.data" xmlns:pyde.02.12="http://sbr.gov.au/icls/py/pyde/pyde.02.12.data" xmlns:RprtPyType.02.06="http://sbr.gov.au/dims/RprtPyType.02.06.dims" xmlns:ReportingPartyABN.02.00_typedelement="http://sbr.gov.au/dims/ReportingPartyABN.02.00.dims" version="2.0"><!--
            Implementers: please note that overriding process-prolog or process-root is
            the preferred method for meta-stylesheets to use where possible.
        -->


<!--PHASES-->


<!--PROLOG-->
<xsl:import xmlns:isns="http://www.ato.gov.au/IS/2009/02" href="MAT201408Validator_Functions.xsl"/><xsl:variable xmlns:isns="http://www.ato.gov.au/IS/2009/02" name="document-uri"><xsl:value-of select="document-uri(/)"/></xsl:variable><xsl:variable name="Apostrophe">'</xsl:variable><xsl:output xmlns:isns="http://www.ato.gov.au/IS/2009/02" method="xml" omit-xml-declaration="no" standalone="yes" indent="no"/>

<!--XSD TYPES FOR XSLT2-->


<!--KEYS AND FUNCTIONS-->
<xsl:key name="facts" match="xbrli:xbrl/*[@contextRef and not(@i:nil='true' or @i:nil='1')]" use="concat(local-name(),@contextRef)"/><xsl:key name="RP_facts" match="xbrli:xbrl/*[@contextRef=$RP.ContextId and not(@i:nil='true')]" use="concat(local-name(),'RP')"/>

<!--DEFAULT RULES-->


<!--MODE: SCHEMATRON-SELECT-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-select-full-path"><xsl:apply-templates select="." mode="schematron-get-full-path"/></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-get-full-path"><xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''"><xsl:value-of select="name()"/></xsl:when><xsl:otherwise><xsl:text>*:</xsl:text><xsl:value-of select="local-name()"/><xsl:text>[namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()"/><xsl:text>']</xsl:text></xsl:otherwise></xsl:choose><xsl:variable name="preceding" select="count(preceding-sibling::*[local-name()=local-name(current())                                   and namespace-uri() = namespace-uri(current())])"/><xsl:text>[</xsl:text><xsl:value-of select="1+ $preceding"/><xsl:text>]</xsl:text></xsl:template><xsl:template match="@*" mode="schematron-get-full-path"><xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''">
                            @<xsl:value-of select="name()"/></xsl:when><xsl:otherwise><xsl:text>@*[local-name()='</xsl:text><xsl:value-of select="local-name()"/><xsl:text>' and namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()"/><xsl:text>']</xsl:text></xsl:otherwise></xsl:choose></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-2-->
<!--This mode can be used to generate prefixed XPath for humans-->
<xsl:template match="node() | @*" mode="schematron-get-full-path-2"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)"/><xsl:if test="preceding-sibling::*[name(.)=name(current())]"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text/>/@<xsl:value-of select="name(.)"/></xsl:if></xsl:template><!--MODE: SCHEMATRON-FULL-PATH-3-->
<!--
            This mode can be used to generate prefixed XPath for humans
            (Top-level element has index)
        -->
<xsl:template match="node() | @*" mode="schematron-get-full-path-3"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)"/><xsl:if test="parent::*"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text/>/@<xsl:value-of select="name(.)"/></xsl:if></xsl:template>

<!--MODE: GENERATE-ID-FROM-PATH -->
<xsl:template match="/" mode="generate-id-from-path"/><xsl:template match="text()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.text-', 1+count(preceding-sibling::text()), '-')"/></xsl:template><xsl:template match="comment()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.comment-', 1+count(preceding-sibling::comment()), '-')"/></xsl:template><xsl:template match="processing-instruction()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.processing-instruction-', 1+count(preceding-sibling::processing-instruction()), '-')"/></xsl:template><xsl:template match="@*" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.@', name())"/></xsl:template><xsl:template match="*" mode="generate-id-from-path" priority="-0.5"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:text>.</xsl:text><xsl:value-of select="concat('.',name(),'-',1+count(preceding-sibling::*[name()=name(current())]),'-')"/></xsl:template>

<!--MODE: GENERATE-ID-2 -->
<xsl:template match="/" mode="generate-id-2">U</xsl:template><xsl:template match="*" mode="generate-id-2" priority="2"><xsl:text>U</xsl:text><xsl:number level="multiple" count="*"/></xsl:template><xsl:template match="node()" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*"/><xsl:text>n</xsl:text><xsl:number count="node()"/></xsl:template><xsl:template match="@*" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*"/><xsl:text>_</xsl:text><xsl:value-of select="string-length(local-name(.))"/><xsl:text>_</xsl:text><xsl:value-of select="translate(name(),':','.')"/></xsl:template><!--Strip characters--><xsl:template match="text()" priority="-1"/>

<!--SCHEMA SETUP-->
<xsl:template match="/"><ProcessMessages xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><xsl:apply-templates select="/" mode="M41"/><xsl:apply-templates select="/" mode="M42"/><xsl:apply-templates select="/" mode="M43"/><xsl:apply-templates select="/" mode="M44"/><xsl:apply-templates select="/" mode="M45"/><xsl:apply-templates select="/" mode="M46"/></ProcessMessages></xsl:template>

<!--SCHEMATRON PATTERNS-->


<!--
                PATTERN VariablesXBRL variables that are applicable accross all of the MAT services.-->
<xsl:variable name="RP.Context" select="xbrli:xbrl/xbrli:context                                   [                                       not(@i:nil='true')                                        and                                        xbrli:entity/xbrli:segment                                       [                                           count(xbrldi:explicitMember) = 1                                            and                                           count(xbrldi:typedMember) = 0                                            and                                           xbrldi:explicitMember                                           [                                                matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')                                               and                                                matches(.,'^RprtPyType\.\d{2}\.\d{2}:ReportingParty$')                                               ]                                       ]                                   ]"/><xsl:variable name="RP.ContextId" select="$RP.Context/@id"/><xsl:variable name="mat2" select="key('RP_facts', 'FinancialInstitutionAccount.BankStateBranch.NumberRP')"/><xsl:variable name="mat3" select="key('RP_facts', 'FinancialInstitutionAccount.FinancialInstitutionAccount.NumberRP')"/><xsl:variable name="mat4" select="key('RP_facts', 'FinancialInstitutionAccount.FinancialInstitutionAccountName.TextRP')"/><xsl:variable name="mat5" select="key('RP_facts', 'Interaction.BankAccountDetailsRemove.IndicatorRP')"/><xsl:template match="text()" priority="-1" mode="M41"/><xsl:template match="@*|node()" priority="-2" mode="M41"><xsl:apply-templates select="*" mode="M41"/></xsl:template>

<!--
                PATTERN ContextValidations for contexts that are applicable accross all of the MAT services.-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true')]" priority="1000" mode="M42">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         count($RP.Context) != 1                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.430296</isns:Code><isns:Description>Invalid context. The number of Reporting party contexts must equal 1</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         xbrli:context[@id = $RP.ContextId]/xbrli:entity/xbrli:identifier                         [                                                         not(matches(@scheme,'^http://www.ato.gov.au/ran$'))                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500078</isns:Code><isns:Description>Entity identifier scheme for ReportingParty must be "http://www.ato.gov.au/ran"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context/xbrli:entity/xbrli:identifier</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         xbrli:context[@id = $RP.ContextId]/xbrli:entity/xbrli:identifier                         [                             string-length(.) != 0                              and                              not(function:ValidateTAN(.))                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500079</isns:Code><isns:Description>The Requestor Agent number has failed the Tax Agent number algorithm check</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context/xbrli:entity/xbrli:identifier</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M42"/></xsl:template><xsl:template match="text()" priority="-1" mode="M42"/><xsl:template match="@*|node()" priority="-2" mode="M42"><xsl:apply-templates select="*" mode="M42"/></xsl:template>

<!--
                PATTERN FieldPatternsField Pattern Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true')]" priority="1000" mode="M43">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $mat4[matches(.,'^( )(.*)$', 'i')]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.MAT.000002</isns:Code><isns:Description>Account name contains a leading space</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text</xsl:text></Location><isns:LongDescription>The account name is preceded by a space, or contains only a space. Remove all leading spaces.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $mat4                         [                             not(@i:nil='true') and string-length(.) != 0                             and                             matches(.,'[{}|_\\#!@$%\[\];:&#34;?,]')                         ]                                             )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.MAT.000003</isns:Code><isns:Description>Account name contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text</xsl:text></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 &amp; * ( ) - ' . / or a space character</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M43"/></xsl:template><xsl:template match="text()" priority="-1" mode="M43"/><xsl:template match="@*|node()" priority="-2" mode="M43"><xsl:apply-templates select="*" mode="M43"/></xsl:template>

<!--
                PATTERN FieldPatternsField Pattern Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true')]" priority="1001" mode="M44">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $mat3[string-length(.) &gt; 9]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.MAT.000001</isns:Code><isns:Description>Account Number must not exceed 9 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccount.Number</xsl:text></Location><isns:LongDescription>For Account Number, the maximum allowable characters for this form is 9</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M44"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text[not(@i:nil='true') and string-length(.) != 0]" priority="1000" mode="M44">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         string-length(.) &gt; 32                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.432041</isns:Code><isns:Description>Bank account name must not be longer than 32 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>32 characters is the Banking Standard and set by the Banking Industry</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M44"/></xsl:template><xsl:template match="text()" priority="-1" mode="M44"/><xsl:template match="@*|node()" priority="-2" mode="M44"><xsl:apply-templates select="*" mode="M44"/></xsl:template>

<!--
                PATTERN MandatoriesMandatory Validations-->
<xsl:template match="text()" priority="-1" mode="M45"/><xsl:template match="@*|node()" priority="-2" mode="M45"><xsl:apply-templates select="*" mode="M45"/></xsl:template>

<!--
                PATTERN ContentContent Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true')]" priority="1000" mode="M46">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           $mat2                           [                             . &lt; '012000'                             or                             . &gt; '999999'                           ]                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.MAT.000007</isns:Code><isns:Description>Bank/State/Branch number invalid. Valid range is 012000 - 999999.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyid.02.00:FinancialInstitutionAccount.BankStateBranch.Number</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           $mat5[matches(.,'^(true|1)$')]                           and                           (                             $mat2[not(@i:nil='true') and string-length(.) != 0]                             or                             $mat3[not(@i:nil='true') and string-length(.) != 0]                             or                             $mat4[not(@i:nil='true') and string-length(.) != 0]                           )                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.MAT.000008</isns:Code><isns:Description>Financial details must not be provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyid.02.00:FinancialInstitutionAccount.BankStateBranch.Number</xsl:text></Location><isns:LongDescription>When 'Remove Financial Details' is Yes (true), BSB, Account Number and Account Name must not be provided</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           not($mat5[matches(.,'^(true|1)$')])                           and                           (                             not($mat2[not(@i:nil='true') and string-length(.) != 0])                             or                             not($mat3[not(@i:nil='true') and string-length(.) != 0])                             or                             not($mat4[not(@i:nil='true') and string-length(.) != 0])                           )                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.MAT.000009</isns:Code><isns:Description>Financial details must be provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyid.02.00:FinancialInstitutionAccount.BankStateBranch.Number</xsl:text></Location><isns:LongDescription>When 'Remove Financial Details' is No (false) or not provided, BSB, Account Number and Account Name must be provided</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M46"/></xsl:template><xsl:template match="text()" priority="-1" mode="M46"/><xsl:template match="@*|node()" priority="-2" mode="M46"><xsl:apply-templates select="*" mode="M46"/></xsl:template></xsl:stylesheet>